Subject: Mycology Books for Sale

From: "Gary Wayner" <[email-masked]>
Date: 21 Sep 1996 22:38:06 GMT

Smith, A.  The veiled species of Hebeloma in the w U.S.  Out-of-print. 
Originally priced at $ 45.  I have new copies @ $ 25
Weber, N.  A field guide to s mushrooms. $ 15
I have these and many other titles.  If you would like a copy of my catalog
#77 drop me an email at [email-masked].  I need to know if you
want your catalog in ascii or winword format.  I have all areas of natural
history both new & antiquarian.  Waiting to hear from you.